[csw-devel] SF.net SVN: gar:[2349] csw/trunk/utils
bdwalton at users.sourceforge.net
bdwalton at users.sourceforge.net
Mon Nov 24 03:30:21 CET 2008
Revision: 2349
http://gar.svn.sourceforge.net/gar/?rev=2349&view=rev
Author: bdwalton
Date: 2008-11-24 02:30:21 +0000 (Mon, 24 Nov 2008)
Log Message:
-----------
First working collection of files to package asciidoc using locally
crafted configure.ac/Makefile.in.
We don't package the vim stuff and feel that overall asciidoc needs to
rework where it looks for files (it really clutters etc/), but for the
time being, we'll honour the author's requirements for file locations.
Added Paths:
-----------
csw/trunk/utils/asciidoc/
csw/trunk/utils/asciidoc/Makefile
csw/trunk/utils/asciidoc/checksums
csw/trunk/utils/asciidoc/files/
csw/trunk/utils/asciidoc/files/CSWasciidoc.depend
csw/trunk/utils/asciidoc/files/CSWasciidoc.gspec
csw/trunk/utils/asciidoc/files/Makefile.in
csw/trunk/utils/asciidoc/files/configure.ac
csw/trunk/utils/asciidoc/files/install-sh
Added: csw/trunk/utils/asciidoc/Makefile
===================================================================
--- csw/trunk/utils/asciidoc/Makefile (rev 0)
+++ csw/trunk/utils/asciidoc/Makefile 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,37 @@
+GARNAME = asciidoc
+GARVERSION = 8.2.7
+CATEGORIES = utils
+
+DESCRIPTION = An Documentation Generator
+define BLURB
+ AsciiDoc is a text document format for writing short documents,
+ articles, books and UNIX man pages. AsciiDoc files can be translated to
+ HTML and DocBook markups using the asciidoc(1) command.
+
+ AsciiDoc is highly configurable: both the AsciiDoc source file syntax
+ and the backend output markups (which can be almost any type of
+ SGML/XML markup) can be customized and extended by the user.
+endef
+
+AUTOFILES = configure.ac Makefile.in install-sh
+
+MASTER_SITES = http://www.methods.co.nz/$(GARNAME)/
+DISTFILES = $(GARNAME)-$(GARVERSION).tar.gz
+DISTFILES += CSWasciidoc.gspec CSWasciidoc.depend
+DISTFILES += $(AUTOFILES)
+
+CONFIGURE_ARGS = $(DIRPATHS)
+
+include ../category.mk
+
+pre-configure:
+ ( cd $(WORKSRC); \
+ for f in $(AUTOFILES); do \
+ cp ../$$f .; \
+ done; \
+ chmod 755 install-sh; \
+ autoconf )
+ @$(MAKECOOKIE)
+
+showpaths:
+ @echo $(DIRPATHS)
\ No newline at end of file
Added: csw/trunk/utils/asciidoc/checksums
===================================================================
--- csw/trunk/utils/asciidoc/checksums (rev 0)
+++ csw/trunk/utils/asciidoc/checksums 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,6 @@
+f631c10bcf7216eaf6bc804c84ebb8e1 download/asciidoc-8.2.7.tar.gz
+38527e11ffe879f2cac4a63b6268b4ca download/CSWasciidoc.gspec
+204ab2546bda5c6fb0510ba8e366db7d download/CSWasciidoc.depend
+eb3746ffca8e4d487e101ee2501d70a6 download/configure.ac
+c2d5c223c17a32c677a5abf8fa45c1d3 download/Makefile.in
+73ee16f14b22fabd675e78102289b5cc download/install-sh
Added: csw/trunk/utils/asciidoc/files/CSWasciidoc.depend
===================================================================
--- csw/trunk/utils/asciidoc/files/CSWasciidoc.depend (rev 0)
+++ csw/trunk/utils/asciidoc/files/CSWasciidoc.depend 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1 @@
+P CSWpython python - A high-level scripting language.
Added: csw/trunk/utils/asciidoc/files/CSWasciidoc.gspec
===================================================================
--- csw/trunk/utils/asciidoc/files/CSWasciidoc.gspec (rev 0)
+++ csw/trunk/utils/asciidoc/files/CSWasciidoc.gspec 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,5 @@
+%var bitname asciidoc
+%var pkgname CSWasciidoc
+%var arch all
+%include url file://%{PKGLIB}/csw_standard.gspec
+%copyright url file://%{WORKSRC}/COPYING
Added: csw/trunk/utils/asciidoc/files/Makefile.in
===================================================================
--- csw/trunk/utils/asciidoc/files/Makefile.in (rev 0)
+++ csw/trunk/utils/asciidoc/files/Makefile.in 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,105 @@
+INSTALL = @INSTALL@
+INSTALL_PROG = @INSTALL_PROGRAM@
+INSTALL_DATA = @INSTALL_DATA@
+
+SED = @SED@
+LN_S = @LN_S@
+
+prefix = @prefix@
+exec_prefix = @exec_prefix@
+bindir = @bindir@
+datadir = @datadir@
+sysconfdir = @sysconfdir@
+datarootdir = @datarootdir@
+mandir=@mandir@
+srcdir = @srcdir@
+
+VPATH = @srcdir@
+
+prog = asciidoc.py a2x
+progdir = $(bindir)
+
+vimdir = @sysconfdir@/vim
+
+manp = $(wildcard doc/*.1)
+manpdir = $(mandir)/man1
+
+conf = $(wildcard *.conf)
+confdir = $(sysconfdir)
+
+filters = $(wildcard filters/*.py)
+filtersdir = $(sysconfdir)/filters
+
+docbook = $(wildcard docbook-xsl/*xsl)
+docbookdir = $(sysconfdir)/docbook-xsl
+
+dblatex = $(wildcard dblatex/*.xsl) $(wildcard dblatex/*.sty)
+dblatexdir = $(sysconfdir)/dblatex
+
+css = $(wildcard stylesheets/*.css)
+cssdir = $(sysconfdir)/stylesheets
+
+js = $(wildcard javascripts/*.js)
+jsdir = $(sysconfdir)/javascripts
+
+callouts = $(wildcard images/icons/callouts/*)
+calloutsdir = $(sysconfdir)/images/icons/callouts
+
+icons = $(wildcard images/icons/*.png) images/icons/README
+iconsdir = $(sysconfdir)/images/icons
+
+doc = $(wildcard README*) $(wildcard BUGS*) $(wildcard INSTALL*)
+docdir = $(datadir)/doc/asciidoc
+
+DATATARGETS = manp conf filters docbook dblatex css js callouts icons
+PROGTARGETS = prog
+TARGETS = $(DATATARGETS) $(PROGTARGETS) doc
+
+INSTDIRS = $(TARGETS:%=%dir)
+
+.PHONY: $(TARGETS)
+
+all: build
+
+# create directories used during the install
+$(INSTDIRS):
+ $(INSTALL) -d $(DESTDIR)/$($@)
+
+$(PROGTARGETS): % : %dir
+ $(INSTALL_PROG) $($@) $(DESTDIR)/$($<)/
+
+$(DATATARGETS): % : %dir
+ $(INSTALL_DATA) $($@) $(DESTDIR)/$($<)/
+
+vim:
+ $(INSTALL) -d $(DESTDIR)/$(vimdir)/syntax
+ $(INSTALL_DATA) vim/syntax/asciidoc.vim $(DESTDIR)/$(vimdir)/syntax/
+ $(INSTALL) -d $(DESTDIR)/$(vimdir)/ftdetect
+ $(INSTALL_DATA) vim/ftdetect/asciidoc_filetype.vim \
+ $(DESTDIR)/$(vimdir)/ftdetect/
+
+docs: docdir
+ $(INSTALL_DATA) $(doc) $(DESTDIR)/$(docdir)
+ $(INSTALL) -d $(DESTDIR)/$(docdir)/examples/website
+ ( cd examples/website; \
+ cp -R * $(DESTDIR)/$(docdir)/examples/website )
+
+linkpy:
+ (cd $(DESTDIR)/$(progdir); $(LN_S) asciidoc.py asciidoc)
+
+fixconfpath:
+ @for f in $(prog); do \
+ echo "Fixing CONF_DIR in $$f"; \
+ $(SED) "s#^CONF_DIR = '.*'#CONF_DIR = '$(sysconfdir)'#; s#^CONF_DIR=.*#CONF_DIR=$(sysconfdir)#" $$f > $$f.out; \
+ mv $$f.out $$f; \
+ done
+
+
+build: fixconfpath
+
+install: $(PROGTARGETS) $(DATATARGETS) linkpy docs
+
+install-vim: vim
+
+test:
+ @echo "Nothing to see here...Move along."
\ No newline at end of file
Added: csw/trunk/utils/asciidoc/files/configure.ac
===================================================================
--- csw/trunk/utils/asciidoc/files/configure.ac (rev 0)
+++ csw/trunk/utils/asciidoc/files/configure.ac 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,11 @@
+AC_INIT(asciidoc, 8.2.7)
+
+AC_CONFIG_FILES(Makefile)
+
+AC_PROG_SED
+
+AC_PROG_LN_S
+
+AC_PROG_INSTALL
+
+AC_OUTPUT
Added: csw/trunk/utils/asciidoc/files/install-sh
===================================================================
--- csw/trunk/utils/asciidoc/files/install-sh (rev 0)
+++ csw/trunk/utils/asciidoc/files/install-sh 2008-11-24 02:30:21 UTC (rev 2349)
@@ -0,0 +1,201 @@
+#!/bin/sh
+#
+# install - install a program, script, or datafile
+# This comes from X11R5 (mit/util/scripts/install.sh).
+#
+# Copyright 1991 by the Massachusetts Institute of Technology
+#
+# Permission to use, copy, modify, distribute, and sell this software and its
+# documentation for any purpose is hereby granted without fee, provided that
+# the above copyright notice appear in all copies and that both that
+# copyright notice and this permission notice appear in supporting
+# documentation, and that the name of M.I.T. not be used in advertising or
+# publicity pertaining to distribution of the software without specific,
+# written prior permission. M.I.T. makes no representations about the
+# suitability of this software for any purpose. It is provided "as is"
+# without express or implied warranty.
+#
+# Calling this script install-sh is preferred over install.sh, to prevent
+# `make' implicit rules from creating a file called install from it
+# when there is no Makefile.
+#
+# This script is compatible with the BSD install script, but was written
+# from scratch. It can only install one file at a time, a restriction
+# shared with many OS's install programs.
+# set DOITPROG to echo to test this script
+# Don't use :- since 4.3BSD and earlier shells don't like it.
+doit="${DOITPROG-}"
+# put in absolute paths if you don't have them in your path; or use env. vars.
+mvprog="${MVPROG-mv}"
+cpprog="${CPPROG-cp}"
+chmodprog="${CHMODPROG-chmod}"
+chownprog="${CHOWNPROG-chown}"
+chgrpprog="${CHGRPPROG-chgrp}"
+stripprog="${STRIPPROG-strip}"
+rmprog="${RMPROG-rm}"
+mkdirprog="${MKDIRPROG-mkdir}"
+transformbasename=""
+transform_arg=""
+instcmd="$mvprog"
+chmodcmd="$chmodprog 0755"
+chowncmd=""
+chgrpcmd=""
+stripcmd=""
+rmcmd="$rmprog -f"
+mvcmd="$mvprog"
+src=""
+dst=""
+dir_arg=""
+while [ x"$1" != x ]; do
+ case $1 in
+ -c) instcmd="$cpprog"
+ shift
+ continue;;
+ -d) dir_arg=true
+ shift
+ continue;;
+ -m) chmodcmd="$chmodprog $2"
+ shift
+ shift
+ continue;;
+ -o) chowncmd="$chownprog $2"
+ shift
+ shift
+ continue;;
+ -g) chgrpcmd="$chgrpprog $2"
+ shift
+ shift
+ continue;;
+ -s) stripcmd="$stripprog"
+ shift
+ continue;;
+ -t=*) transformarg=`echo $1 | sed 's/-t=//'`
+ shift
+ continue;;
+ -b=*) transformbasename=`echo $1 | sed 's/-b=//'`
+ shift
+ continue;;
+ *) if [ x"$src" = x ]
+ then
+ src=$1
+ else
+ # this colon is to work around a 386BSD /bin/sh bug
+ :
+ dst=$1
+ fi
+ shift
+ continue;;
+ esac
+done
+if [ x"$src" = x ]
+then
+ echo "install: no input file specified"
+ exit 1
+else
+ true
+fi
+if [ x"$dir_arg" != x ]; then
+ dst=$src
+ src=""
+
+ if [ -d $dst ]; then
+ instcmd=:
+ else
+ instcmd=mkdir
+ fi
+else
+# Waiting for this to be detected by the "$instcmd $src $dsttmp" command
+# might cause directories to be created, which would be especially bad
+# if $src (and thus $dsttmp) contains '*'.
+ if [ -f $src -o -d $src ]
+ then
+ true
+ else
+ echo "install: $src does not exist"
+ exit 1
+ fi
+
+ if [ x"$dst" = x ]
+ then
+ echo "install: no destination specified"
+ exit 1
+ else
+ true
+ fi
+# If destination is a directory, append the input filename; if your system
+# does not like double slashes in filenames, you may need to add some logic
+ if [ -d $dst ]
+ then
+ dst="$dst"/`basename $src`
+ else
+ true
+ fi
+fi
+## this sed command emulates the dirname command
+dstdir=`echo $dst | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'`
+# Make sure that the destination directory exists.
+# this part is taken from Noah Friedman's mkinstalldirs script
+# Skip lots of stat calls in the usual case.
+if [ ! -d "$dstdir" ]; then
+defaultIFS='
+'
+IFS="${IFS-${defaultIFS}}"
+oIFS="${IFS}"
+# Some sh's can't handle IFS=/ for some reason.
+IFS='%'
+set - `echo ${dstdir} | sed -e 's@/@%@g' -e 's@^%@/@'`
+IFS="${oIFS}"
+pathcomp=''
+while [ $# -ne 0 ] ; do
+ pathcomp="${pathcomp}${1}"
+ shift
+ if [ ! -d "${pathcomp}" ] ;
+ then
+ $mkdirprog "${pathcomp}"
+ else
+ true
+ fi
+ pathcomp="${pathcomp}/"
+done
+fi
+if [ x"$dir_arg" != x ]
+then
+ $doit $instcmd $dst &&
+ if [ x"$chowncmd" != x ]; then $doit $chowncmd $dst; else true ; fi &&
+ if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dst; else true ; fi &&
+ if [ x"$stripcmd" != x ]; then $doit $stripcmd $dst; else true ; fi &&
+ if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dst; else true ; fi
+else
+# If we're going to rename the final executable, determine the name now.
+ if [ x"$transformarg" = x ]
+ then
+ dstfile=`basename $dst`
+ else
+ dstfile=`basename $dst $transformbasename |
+ sed $transformarg`$transformbasename
+ fi
+# don't allow the sed command to completely eliminate the filename
+ if [ x"$dstfile" = x ]
+ then
+ dstfile=`basename $dst`
+ else
+ true
+ fi
+# Make a temp file name in the proper directory.
+ dsttmp=$dstdir/#inst.$$#
+# Move or copy the file name to the temp name
+ $doit $instcmd $src $dsttmp &&
+ trap "rm -f ${dsttmp}" 0 &&
+# and set any options; do chmod last to preserve setuid bits
+# If any of these fail, we abort the whole thing. If we want to
+# ignore errors from any of these, just make sure not to ignore
+# errors from the above "$doit $instcmd $src $dsttmp" command.
+ if [ x"$chowncmd" != x ]; then $doit $chowncmd $dsttmp; else true;fi &&
+ if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dsttmp; else true;fi &&
+ if [ x"$stripcmd" != x ]; then $doit $stripcmd $dsttmp; else true;fi &&
+ if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dsttmp; else true;fi &&
+# Now rename the file to the real destination.
+ $doit $rmcmd -f $dstdir/$dstfile &&
+ $doit $mvcmd $dsttmp $dstdir/$dstfile
+fi &&
+exit 0
\ No newline at end of file
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list